Bug 674660 - Create virtio-serial channel for Matahari usage in specific guests by default
Create virtio-serial channel for Matahari usage in specific guests by default
Status: CLOSED NOTABUG
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks: 674658 767461
  Show dependency treegraph
 
Reported: 2011-02-02 15:30 EST by Perry Myers
Modified: 2013-07-23 15:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 674658
Environment:
Last Closed: 2013-07-23 15:16:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Perry Myers 2011-02-02 15:30:40 EST
+++ This bug was initially created as a clone of Bug #674658 +++

Description of problem:
For Matahari usage we need a virtio-serial device created by default (along with the channel) so that the user doesn't have to worry about configuring this manually.

Channel name should be "org.apache.qpid.matahari.0"

The initial guest OS types that should have this device/channel by default are:

RHEL5
RHEL6
Fedora 14+ (older Fedora's support virtio-serial but we don't anticipate porting the AMQP/virtio-serial transport plugin back further than F14)
Windows (all types)
Comment 1 Cole Robinson 2013-04-21 15:12:14 EDT
virtinst has been merged into virt-manager.git. Moving all virtinst bugs to the virt-manager component.
Comment 2 Cole Robinson 2013-07-23 15:16:50 EDT
Matahari is dead so this isn't really relevant anymore.

Note You need to log in before you can comment on or make changes to this bug.